I have 6 physical servers built this week using SLES11 SP1 64-bit. All 6 of
them are on identical hardware and have the same software packages on them.
I installed the ZLM 7.3.3 agent on the first 5 and the install went
flawlessly. On the 6th server the agent install fails. Here is the output of
the install log:

Jun 10 13:00:38 Detected SuSE Linux Enterprise Server 11 (x86_64)

Jun 10 13:00:38 ZENworks Installer
Copyright 2009, Novell, Inc. All rights reserved.

Welcome to ZENworks! An Installation Guide is available at
http://www.novell.com/documentation/zlm73/

Jun 10 13:00:41 WARNING: If you are using a firewall it is recommended that
you make the necessary modifications to allow for the ZENworks server to
communicate with the ZENworks client on TCP ports 2544, 5950, and 5951 of
this machine.
Jun 10 13:00:41 Executing command: df -P 2>/dev/null | grep -e ' /$' | awk
'{print $4}'
Jun 10 13:00:41 3224892

Jun 10 13:00:41 Executing command: df -P 2>/dev/null | grep -e ' /usr$' |
awk '{print $4}'
Jun 10 13:00:41 Configuring ZMD
Jun 10 13:00:41 Detected running ZMD version 7.3.3, using it
Jun 10 13:00:41 Executing command: pgrep zmd
Jun 10 13:00:41 4177

Jun 10 13:00:41 Executing command: pkill zmd
Jun 10 13:00:43 Executing command: pgrep zmd
Jun 10 13:00:48 Starting ZMD with --no-remote --no-services
Jun 10 13:00:48 Executing command: /usr/sbin/zmd --no-remote --no-services
Jun 10 13:00:59 Subscribing to channel: client
Jun 10 13:00:59 Subscribing to channel: imaging
Jun 10 13:00:59 Subscribing to channel: mono
Jun 10 13:01:00 Subscribing to channel: runtime-deps
Jun 10 13:01:00 Subscribing to channel: sles-11-x86_64
Jun 10 13:01:00 Checking for installed packages...
Jun 10 13:01:02 Removing old redcarpet packages
Jun 10 13:01:02 Installing Component : ZENworks Agent
Jun 10 13:01:05 NOTHING_PROVIDES_DEP: /bin/sh needed by zen-
updater-7.3.3-0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/sh needed by rug-7.3.3.0-0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/sh needed by novell-zenworks-zmd-
tess-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/bash needed by novell-zenworks-zmd-
settings-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: libxml2 needed by novell-zenworks-zmd-
rmagent-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/sh needed by novell-zenworks-zmd-
policymanager-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/sh needed by novell-zenworks-zmd-
policyenforcers-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: 'gconf2 >= 2.2.1' needed by novell-zenworks-zmd-
gconfpolicyenforcers-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/sh needed by novell-zenworks-zlm-
release2-7.3.3-0.0.0.noarch
NOTHING_PROVIDES_DEP: /bin/sh needed by novell-zenworks-
utilities-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/bash needed by novell-zenworks-
install-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: libc.so.6 needed by novell-zenworks-
x11vnc-0.6.1-2.novell.0.8.i586
NOTHING_PROVIDES_DEP: libc.so.6 needed by novell-zenworks-
tightvnc-1.2.9-6.novell.0.7.i586
NOTHING_PROVIDES_DEP: /bin/sh needed by novell-zenworks-
zislnx-7.3.3-0.0.0.i586
NOTHING_PROVIDES_DEP: libc.so.6()(64bit) needed by zmd-
inventory-7.3.3.0-0.0.x86_64
DEP_PROVIDERS_NOT_INSTALLABLE: 'novell-zenworks-zislnx >= 7.0.0' needed by
novell-zenworks-zmd-imgagent-7.3.3-0.0.0.x86_64
NOTHING_PROVIDES_DEP: /bin/sh needed by novell-zenworks-zmd-
tess-7.3.3-0.0.0.x86_64

Jun 10 13:01:05 Install of ZENworks Agent failed.
Jun 10 13:01:05 Install has not completed

Strange thing is those files are all present.../bin/sh and libc.so.6 are
alive and well in all the normal locations.
../usr/lib64/libc.so
../lib/libc.so.6
../lib64/libc.so.6

So why does the installer not see them? I am mounting the
ZLM73_Agent_with_IR3.iso in /mnt and running the installer via an ssh
session as root the exact same way I did the other 5 identical servers. Any
ideas would be appreciated.

Thanks